_Elm_Toolbar_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields

Evas_Object * | hit_rect
Evas_Object * | bx
Evas_Object * | more
Evas_Object * | bx_more
Evas_Object * | bx_more2
Evas_Object * | menu_parent
Eina_Inlist * | items
Elm_Toolbar_Item_Data * | more_item
Elm_Object_Item * | selected_item
| a selected item by mouse click, return key, api, and etc.
Elm_Object_Item * | focused_item
| a focused item by keypad arrow or mouse.
Elm_Object_Item * | last_focused_item
| This records the last focused item when widget looses focus.
Elm_Toolbar_Item_Data * | reorder_empty
Elm_Toolbar_Item_Data * | reorder_item
Elm_Toolbar_Shrink_Mode | shrink_mode
int | theme_icon_size
int | priv_icon_size
int | icon_size
int | standard_priority
int | minw_bx
int | minh_bx
unsigned int | item_count
unsigned int | separator_count
double | align
Elm_Object_Select_Mode | select_mode
Ecore_Timer * | long_timer
Ecore_Job * | resize_job
Efl_Ui_Layout_Orientation | dir
Eina_Bool | long_press: 1
Eina_Bool | homogeneous: 1
Eina_Bool | delete_me: 1
Eina_Bool | reorder_mode: 1
Eina_Bool | transverse_expanded: 1
Eina_Bool | mouse_down: 1
| a flag that mouse is down on the toolbar at the moment.

## Field Documentation

## focused_item

Elm_Object_Item* _Elm_Toolbar_Data::focused_item

a focused item by keypad arrow or mouse.

This is set to NULL if widget looses focus.

## last_focused_item

Elm_Object_Item* _Elm_Toolbar_Data::last_focused_item

This records the last focused item when widget looses focus.

This is required to set the focus on last focused item when widgets gets focus.

## mouse_down

Eina_Bool _Elm_Toolbar_Data::mouse_down

a flag that mouse is down on the toolbar at the moment.

This flag is set to true on mouse and reset to false on mouse up.